#!/bin/bash
#####################################################
#
# Copyright (c) 2012-2013, NetApp, Inc. All rights reserved
#
#####################################################

. /usr/share/vapp/amt/commonfunctions.sh

# Display screen title
echo "FMC Status:"
echo "--------------------------"

# Create Apache summary
echo -e "Apache:"
echo "    Status:   $(/usr/sbin/service apache2 status| sed "s/Apache2 is //")"
echo "    Clients:  $(ps -ef| grep apache2| grep www-data| wc -l)"
echo "    Listen:   port 80 "

# Get MySQL status output
MYSQL_STATUS=$(/usr/sbin/service mysql status)

# Create MySQL summary
MYSQL_SUMMARY="$(echo "$MYSQL_STATUS"| grep Uptime:)\n$(echo "$MYSQL_STATUS"| grep Threads:| sed "s/  /\n/g")"
MYSQL_SUMMARY=$(echo -e "$MYSQL_SUMMARY"| sed "s/:\s*/:/g"| awk -F: '{printf "    %-15s %s\n", $1":", $2}')

# Print the MySQL summary
echo -e "\nMySQL:\n$MYSQL_SUMMARY"

# Set the URL
URL="http://$1:80"

# Print wget summary
echo -e "\nURL:"
echo "    $URL"
wget -O /dev/null $URL 2>&1| grep '\.\.\.'| sed "s/^ */    /"
