#!/bin/bash
#####################################################
#
# Copyright (c) 2012-2013, NetApp, Inc. All rights reserved
#
#####################################################

# Called at the start of AMT

. /etc/COMPANY_BRAND_FILE
. /usr/share/vapp/amt/commonfunctions.sh

# Make sure that we trap any control characters so that the user
# does not have access to the shell.
trap logOut 1 2 3 4 5 6 9 11 15

commitFile=/tmp/interfaces.commit
if [[ -e ${commitFile} ]]; then
    chown $VENDOR_LC_NAME:users ${commitFile}
fi

# Done
####################################################
