#!/bin/bash
#####################################################
#
# Copyright (c) 2012-2013, NetApp, Inc. All rights reserved
#
#####################################################

. /usr/share/vapp/amt/commonfunctions.sh


# Make sure that we trap any control characters so that the user
# does not have access to the shell.
trap logOut 1 2 3 4 5 6 9 11 15

#
# Warn user that this process will bring down the operating-system
#
echo
echo "This procedure will cause all services to be stopped.  The Operating System "
echo "will stop."
echo

read -r -p "Do you wish to continue? (y/N):" answer
if [ "$answer" != "y" ] && [ "$answer" != "Y" ]
then
    exit
fi


/sbin/shutdown -h now

# Done
####################################################
