#! /usr/bin/php
<?php
/**
 *  Flash Accel Management Console (FMC)
 *  Copyright (C) 2013, NetApp, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Javascript
 *
 *    Farbtastic - Copyright (c) 2010 Matt Farina
 *
 *    jQuery - Copyright (c) 2010 John Resig
 *
 *    jQuery BBQ - Copyright (c) 2010 "Cowboy" Ben Alman
 *
 *    jQuery Cookie - Copyright (c) 2006 Klaus Hartl
 *
 *    jQuery Form - Copyright (c) 2010 Mike Alsup
 *
 *    jQuery Once - Copyright (c) 2009 Konstantin Käfer
 *
 *    jQuery UI - Copyright (c) 2010 by the original authors
 *      (http://jqueryui.com/about)
 *
 *    Sizzle.js - Copyright (c) 2010 The Dojo Foundation (http://sizzlejs.com/)
 *
 *  PHP
 *
 *    ArchiveTar - Copyright (c) 1997 - 2008 Vincent Blavet
 */

/**
 * This is a stand-alone CLI script used to update the Drupal "admin" password during first-boot.
 */

# Includes from Drupal to update admin password
include '/var/www/mercury/includes/bootstrap.inc';
include '/var/www/mercury/includes/password.inc';
include '/var/www/mercury/sites/default/settings.php';

# Get DB params (defined in settings.php)
$db_name     = $databases{'default'}{'default'}{'database'};
$db_username = $databases{'default'}{'default'}{'username'};
$db_password = $databases{'default'}{'default'}{'password'};
$db_host     = $databases{'default'}{'default'}{'host'};

# Connect to the DB
$mysqli = new mysqli($db_host, $db_username, $db_password, $db_name);
if ( mysqli_connect_errno() ) {
    print 'Failed to connect to MySQL: ' . mysqli_connect_error();
}

# Hash the first argument passed to the script
$hashed_password = user_hash_password($argv[1]);

# Update the admin entry in the DB
$mysqli->query("UPDATE users SET pass='$hashed_password' WHERE name ='admin'");
printf("Affected rows (UPDATE): %d\n", $mysqli->affected_rows);
